<?php
include("../db.php");
$requestData= $_REQUEST;
$s = $_POST['s'];
$e = $_POST['e'];
$columns = array( 
	0 =>  'name_emp',
	1 =>  'user',
	2 =>  'pass',
	3 =>  'date',
    4 =>  'time'
);

$sql = "
SELECT * FROM `login_emp` left join `emp` on `login_emp`.`id_emp` = `emp`.`id_emp` where `login_emp`.`date` between '$s' and '$e'
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `login_emp` left join `emp` on `login_emp`.`id_emp` = `emp`.`id_emp` where `login_emp`.`date` between '$s' and '$e'
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_emp LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR user LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR pass LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR date LIKE '".$requestData['search']['value']."%' ";         
	$sql.=" OR time LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["name_emp"];
	$nestedData[] = $row["user"];
	$nestedData[] = $row["pass"];
	$nestedData[] = $row["date"];
	$nestedData[] = $row["time"];
	$data[] = $nestedData;
}



$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



